package com.fuyuanshen.equipment.enums;

/**
 * 用户类型枚举
 *
 * @author: 默苍璃
 * @date: 2025-07-1210:31
 */
public enum AppUserTypeEnum {

    APP_USER("app_user", "系统用户"),
    XCX_USER("xcx_user", "小程序用户");

    private final String code;
    private final String description;

    AppUserTypeEnum(String code, String description) {
        this.code = code;
        this.description = description;
    }

    public String getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    @Override
    public String toString() {
        return "UserType{" +
                "code='" + code + '\'' +
                ", description='" + description + '\'' +
                '}';
    }

}
